DL_FixedBasePrecomputationImpl< T > Class Template Reference
Inheritance diagram for DL_FixedBasePrecomputationImpl< T >:

## Public Types

typedef T | Element

## Public Member Functions

bool | IsInitialized () const
void | SetBase (const DL_GroupPrecomputation< Element > &group, const Element &base)
const Element & | GetBase (const DL_GroupPrecomputation< Element > &group) const
void | Precompute (const DL_GroupPrecomputation< Element > &group, unsigned int maxExpBits, unsigned int storage)
void | Load (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation)
void | Save (const DL_GroupPrecomputation< Element > &group, BufferedTransformation &storedPrecomputation) const
Element | Exponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent) const
Element | CascadeExponentiate (const DL_GroupPrecomputation< Element > &group, const Integer &exponent, const DL_FixedBasePrecomputation< Element > &pc2, const Integer &exponent2) const

## Detailed Description

### template<class T>
class DL_FixedBasePrecomputationImpl< T >

Definition at line 41 of file eprecomp.h.

The documentation for this class was generated from the following file:

- eprecomp.h